Qt 5.6 | Qt 3D | C++ Classes | QAbstractPhysicalDeviceBackendNode

Qt 5.6.3 Reference Documentation

# QAbstractPhysicalDeviceBackendNode Class

(Qt3DInput::QAbstractPhysicalDeviceBackendNode)

Inherits: | Qt3DCore::QBackendNode

- List of all members, including inherited members

## Public Functions

| QAbstractPhysicalDeviceBackendNode(QBackendNode::Mode mode)
virtual float | axisValue(int axisIdentifier) const = 0
virtual void | cleanup()
QInputAspect * | inputAspect() const
virtual bool | isButtonPressed(int buttonIdentifier) const = 0
float | processedAxisValue(int axisIdentifier)
void | sceneChangeEvent(const Qt3DCore::QSceneChangePtr &e)
void | setInputAspect(QInputAspect *aspect)
void | updateFromPeer(Qt3DCore::QNode *peer)

- 5 public functions inherited from Qt3DCore::QBackendNode

## Protected Functions

| QAbstractPhysicalDeviceBackendNode(QAbstractPhysicalDeviceBackendNodePrivate &dd)

- 3 protected functions inherited from Qt3DCore::QBackendNode

## Member Function Documentation

### QAbstractPhysicalDeviceBackendNode::QAbstractPhysicalDeviceBackendNode(QBackendNode::Mode mode)

Default constructs an instance of QAbstractPhysicalDeviceBackendNode.

### `[protected]` QAbstractPhysicalDeviceBackendNode::QAbstractPhysicalDeviceBackendNode(QAbstractPhysicalDeviceBackendNodePrivate &dd)

Copy constructor.

### `[pure virtual]` float QAbstractPhysicalDeviceBackendNode::axisValue(int axisIdentifier) const

### `[virtual]` void QAbstractPhysicalDeviceBackendNode::cleanup()

### QInputAspect *QAbstractPhysicalDeviceBackendNode::inputAspect() const

See also setInputAspect().

### `[pure virtual]` bool QAbstractPhysicalDeviceBackendNode::isButtonPressed(int buttonIdentifier) const

### float QAbstractPhysicalDeviceBackendNode::processedAxisValue(int axisIdentifier)

### void QAbstractPhysicalDeviceBackendNode::sceneChangeEvent(const Qt3DCore::QSceneChangePtr &e)

### void QAbstractPhysicalDeviceBackendNode::setInputAspect(QInputAspect *aspect)

See also inputAspect().

### void QAbstractPhysicalDeviceBackendNode::updateFromPeer(Qt3DCore::QNode *peer)